{ config, pkgs, lib, ... }:

{
  nixpkgs.overlays = lib.singleton
  (self: super:
    { maxwell-notify = self.callPackage ./custom/packages/maxwell-notify.nix
        { homeserver = "https://${config.var.hostname}/_matrix/client/r0";
          roomId     = "!FsUSHSNMPMVTFFcvJo:maxwell.ydns.eu";
          authToken  = config.secrets.passwords.matrix;
        };

      haskellPackages = super.haskellPackages.extend (hself: hsuper:
        { breve =  hself.callCabal2nix "breve" (builtins.fetchTarball
          { url = "https://hackage.haskell.org/package/breve-0.5.1.0/breve-0.5.1.0.tar.gz";
          }) {};
        });
    });

  environment.systemPackages = with pkgs; [
    # utilities
    iftop curl tree neovim
    nix-script openssl
    jq ack sshfs abduco

    # backup
    bup git

    # admin
    dnsutils
    matrix-synapse
    maxwell-notify
    smartmontools

    # namecoin
    namecoind haskellPackages.rosa
  ];

}
